## statsmodels 0.12.2

=== requirements.txt ===
numpy>=1.15
scipy>=1.2
pandas>=0.23
patsy>=0.5.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = statsmodels
SOURCEDIR     = source
BUILDDIR      = build

PAPER         =
TOOLSPATH	  = ../tools/
DATASETBUILD  = dataset_rst.py
NOTEBOOKBUILD = nbgenerate.py

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)


# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)

.PHONY: help Makefile

cleanall: 
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)
	-rm source/examples/generated/*
	-rm -rf source/examples/notebooks/generated/*
	-rm -rf ../tools/hash_dict.pickle
	-rm -rf source/datasets/generated/*

notebooks:
	@echo "Generating notebooks from examples/notebooks folder"
	$(TOOLSPATH)$(NOTEBOOKBUILD) --execute=True --allow_errors=True

html:
    # make directories for images
	@echo "Make static directory for images"
	mkdir -p $(BUILDDIR)/html/_static
	# generate the examples rst files
	@echo "Generating datasets from installed statsmodels.datasets"
	$(TOOLSPATH)$(DATASETBUILD)
	@echo "Executing notebooks from examples/notebooks folder"
	mkdir -p $(BUILDDIR)/source/examples/notebooks/generated
	# Black list notebooks from doc build here
	$(TOOLSPATH)$(NOTEBOOKBUILD) --parallel --report-errors --skip-existing --execute-only --execution-blacklist statespace_custom_models
	@echo "Running sphinx-build"
	@echo @$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(ALLSPHINXOPTS) $(O)

=== tools/R2nparray/DESCRIPTION ===
Package: R2nparray
Version: 0.1
Date: 2011-08-23
Title: R to Numpy Arrays
Author: Skipper Seabold <jsseabold@gmail.com>
Maintainer: Skipper Seabold <jsseabold@gmail.com>
Description: Writes R matrices, vectors, and scalars to a file as numpy arrays
License: BSD
URL: https://www.github.com/statsmodels/statsmodels
Repository: github
Collate:
    'R2nparray-package.R'
    'R2nparray.R'

=== debian/changelog ===
statsmodels (0.12.2-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop / refresh patches.
  * Don't use the multiarch path for architecture detection.  Closes: #973854.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 06 Feb 2021 16:48:16 +0000

=== debian/control ===
Source: statsmodels
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Diane Trout <diane@ghic.org>,
           Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               sphinx-common,
               dh-python (>= 3.20180313~),
               cython3,
               python3-all-dev,
               python3-colorama <!nocheck> <!nodoc>,
               python3-cvxopt <!nocheck> <!nodoc>,
               python3-dateutil <!nocheck> <!nodoc>,
               python3-joblib <!nocheck> <!nodoc>,
               python3-matplotlib,
               python3-numpy,
               python3-pandas,
               python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-forked <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-tk <!nocheck> <!nodoc>
Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                     python3-nbconvert <!nodoc>,
                     python3-nbsphinx <!nodoc>,
                     python3-notebook <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-seaborn <!nodoc>,
                     python3-simplegeneric <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-yaml <!nodoc>,
                     jdupes <!nodoc>,
# for intersphinx inventories
                     python-matplotlib-doc <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python-scipy-doc <!nodoc>,
                     python-pandas-doc <!nodoc>,
                     python3-doc <!nodoc>,
# for the comparing-with-R examples, and example datasets
                     r-base-core <!nodoc>,
                     python3-rpy2 <!nodoc>,
                     r-cran-cardata <!nodoc>,
                     r-cran-geepack <!nodoc>,
                     r-cran-guerry <!nodoc>,
                     r-cran-lme4 <!nodoc>,
                     r-cran-mass <!nodoc>,
                     r-cran-robustbase <!nodoc>,
                     r-cran-vcd <!nodoc>,
                     pandoc <!nodoc>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
Homepage: https://www.statsmodels.org

Package: python-statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-requirejs,
         libjs-mathjax
Suggests: python3-statsmodels,
          python3-doc,
          python-numpy-doc,
          python-patsy-doc,
          python-pandas-doc,
          python-scipy-doc
Breaks: python-scikits-statsmodels-doc,
        python-scikits.statsmodels-doc,
        python-statsmodels (<< 0.9.0-3~)
Replaces: python-scikits-statsmodels-doc,
          python-scikits.statsmodels-doc,
          python-statsmodels (<< 0.9.0-3~)
Description: documentation and examples for statsmodels
 Statsmodels Python modules are providing classes and functions for
 the estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.
 .
 This package contains HTML documentation and example scripts for
 python-statsmodels.

Package: python3-statsmodels
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
# upstream say >1.2 but the amd64 autopkgtest failure happens with 1.4 not 1.5
# maybe the real problem is what scipy was built with
         python3-scipy (>= 1.5~),
         python3-statsmodels-lib (>= ${source:Version}),
         python3-patsy (>= 0.5.1),
         python3-pandas
Recommends: python3-matplotlib,
            python3-joblib,
            python3-colorama,
            python3-cvxopt
Suggests: python-statsmodels-doc
Provides: ${python3:Provides}
Description: Python3 module for the estimation of statistical models
 statsmodels Python3 module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python3-statsmodels-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy
Description: Python3 low-level implementations and bindings for statsmodels
 Statsmodels is a Python module for the estimation of statistical models.
 .
 This package contains internal libraries for python3-statsmodels.  Users
 should not need to install it directly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

#block internet access
export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

export PY3VER=$(shell py3versions -vd)
SOURCE_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
SOURCE_TIME:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")

export PYBUILD_NAME=statsmodels
export PYBUILD_INSTALL_ARGS=--install-layout=deb

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# To guarantee HOME existence with mpl 1.3.0
# See https://github.com/matplotlib/matplotlib/issues/2300
#     https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719384
$(HOME):
	mkdir "$@"
	: # Hardcode backend to Agg to avoid doc build and tests failures
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc

override_dh_auto_build-arch: $(HOME)
	dh_auto_build

override_dh_auto_build-indep: $(HOME)
	: # Documentation depends on built package
	dh_auto_build
	: # I: Generate documentation
	: # Build Documentation -- assure existence of build/html for nodoc
	: # Reproducibility: stopping the clock (or slowing it down enough to get all 00:00:00) with faketime (near-)hangs in glm_weights.ipynb
	mkdir -p build/html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 debian/datasets/prepopulate_cache.py
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	BUILDDIR=$(CURDIR)/build \
	STATSMODELS_DATA=$(CURDIR)/build/datacache/ \
	 LC_ALL=C.UTF-8 make -C docs html
	mv docs/build/* build/
	: # Fix up links to MathJax to be local
	grep -l '/mathjax/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.org/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
	: # Replace require
	grep -l '/require\.js/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/require.js/.*/require.min.js,file:///usr/share/javascript/requirejs/require.min.js,g'
	grep -l '/jquery/' -R build/html/examples/notebooks \
	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/jquery/.*/jquery.min.js,file:///usr/share/javascript/jquery/jquery.min.js,g'
	: # replace timestamps and build paths in examples output for reproducibility
	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb" -o -name "*.ipynb.txt"` ; do \
	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
	done
endif

override_dh_installdocs:
	rm -rf docs/source/generated/
	dh_installdocs
	for html in `find debian -name "*.html"` ; do \
	    sed -i 's#https://cdnjs\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' $${html} ; \
	    sed -i 's#https://cdnjs\..*/mathjax/.*/latest.js#file:///usr/share/javascript/mathjax/unpacked/latest.js#' $${html} ; \
	done

override_dh_auto_clean:
	# this would try to run setup.py clean, which is an error: dh_auto_clean
	-rm -rf cythonize.dat \
	       *.egg-info \
	       *.png \
	       .pybuild \
	       .pytest_cache \
	       build \
	       docs/build/ \
	       docs/rehab.table \
	       docs/salary.table \
	       docs/source/datasets/generated \
	       docs/source/examples/notebooks \
	       docs/source/savefig \
	       docs/source/dev/generated \
	       docs/source/datasets/statsmodels.datasets.*.rst \
	       docs/source/examples/notebooks/generated \
	       examples/executed \
	       tools/hash_dict.pickle
	find . -name __pycache__ -print0 | xargs -0 rm -rf
	find . -name *.pyx -print0 | sed -e "s/\.pyx/.c/g" | xargs -0 rm -f
	find . -name *.pyx.in -print0 | sed -e "s/\.pyx\.in/.pyx/g" | xargs -0 rm -f
	: # Remove autogenerated version.py
	rm -f statsmodels/version.py

override_dh_install:
	dh_install
	rm -f debian/*/usr/setup.cfg
	: # Remove compiled due to testing files
	find debian -name *.pyc -delete
	rm -f debian/*/usr/lib/*/dist-packages/enet_poisson.csv debian/*/usr/lib/*/dist-packages/enet_binomial.csv
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -f

# statsmodels has a conftest.py that uses testroot-only features, so the tests must be run from the statsmodels directory, not its parent
# https://github.com/statsmodels/statsmodels/issues/5108
# the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
# the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
# TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
# Tests are ignored (and expected to crash) on armel, #968210
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
	rm -rf $${testpath}/.pytest_cache ; \
	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
endif

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.inv -Xobjects.inv

override_dh_link:
	: # deduplicate images - the ||true is because we only build-depend on jdupes if we're building documentation
	jdupes -r -l debian/python-statsmodels-doc/usr/share/doc || true
	dh_link

## move binary libraries into -lib
override_dh_auto_install:
	dh_auto_install
	for PACKAGE_NAME in python3-statsmodels; do \
	  for lib in $$(find debian/$${PACKAGE_NAME}/usr -name '*.so'); do \
	     sdir=$$(dirname $$lib) ; \
	     tdir=debian/$${PACKAGE_NAME}-lib/$${sdir#*$${PACKAGE_NAME}/} ; \
	     mkdir -p $$tdir ; \
	     echo "I: Moving '$$lib' into '$$tdir'." ; \
	     mv $$lib $$tdir ; \
	  done ; \
	done
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	: # Move scikits. space into a compatibility package
	set -e; \
	find debian -wholename \*scikits -type d | while read skd; do \
		skbd=$$(dirname $$skd); \
		skbd_=$$(echo $$skbd | sed -e 's/python3-statsmodels/python3-scikits.statsmodels/g'); \
		mkdir -p $$skbd_; \
		mv $$skd $$skbd_; \
	done
	dh_numpy3

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.txt" -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: upstreamtests
Depends: python3-all, python3-statsmodels, python3-nose, python3-pytest,
            python3-matplotlib,
            python3-joblib,
            python3-colorama,
            python3-cvxopt,
            python3-dateutil,
            python3-tk
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/g;s/dev/~dev/g,filenamemangle=s/.*\/(.*)/statsmodels-$1/" \
 https://github.com/statsmodels/statsmodels/tags .*archive/v?(\d[\d.]+)\.tar\.gz

## statsmodels 0.13.1+dfsg

=== requirements.txt ===
numpy>=1.17
scipy>=1.3
pandas>=0.25
patsy>=0.5.2

=== debian/changelog ===
statsmodels (0.13.1+dfsg-4) unstable; urgency=medium

  * Warn that DynamicFactor may give wrong results on armhf
    and xfail tests.
  * Update Lintian overrides.
  * Fix pyversions call.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 05 Feb 2022 17:46:33 +0000

statsmodels (0.13.1+dfsg-3) unstable; urgency=medium

  * Warn on import and ignore (crashing) tests on mips64el,
    and not on armel (see #968210).
  * Remove obsolete rules code and nose test-depends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 17 Dec 2021 22:32:59 +0000

statsmodels (0.13.1+dfsg-2) unstable; urgency=medium

  * Docs: use *_path and symlinks for local JavaScript,
    instead of (broken by CORS) sed replacements.
  * Xfail another possible rounding issue on i386.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 29 Nov 2021 22:05:33 +0000

statsmodels (0.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Update watch file.
  * Update d/copyright, exclude possibly illegal data file.
  * Xfail some probable rounding issues.  Closes: #997081.
  * Docs: update MathJax URL replacement.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 28 Nov 2021 16:30:27 +0000

statsmodels (0.12.2-2) unstable; urgency=medium

  * Fix test failures with scipy 1.7.  Closes: #992681.
  * README.source: update upstream branch name.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 29 Aug 2021 20:09:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -47,14 +47,6 @@
 	STATSMODELS_DATA=$(CURDIR)/build/datacache/ \
 	 LC_ALL=C.UTF-8 make -C docs html
 	mv docs/build/* build/
-	: # Fix up links to MathJax to be local
-	grep -l '/mathjax/' -R build/html/examples/notebooks \
-	| xargs -r sed -i -e 's,https://\S*.org/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
-	: # Replace require
-	grep -l '/require\.js/' -R build/html/examples/notebooks \
-	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/require.js/.*/require.min.js,file:///usr/share/javascript/requirejs/require.min.js,g'
-	grep -l '/jquery/' -R build/html/examples/notebooks \
-	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/jquery/.*/jquery.min.js,file:///usr/share/javascript/jquery/jquery.min.js,g'
 	: # replace timestamps and build paths in examples output for reproducibility
 	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb" -o -name "*.ipynb.txt"` ; do \
 	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
@@ -66,10 +58,6 @@
 override_dh_installdocs:
 	rm -rf docs/source/generated/
 	dh_installdocs
-	for html in `find debian -name "*.html"` ; do \
-	    sed -i 's#https://cdnjs\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' $${html} ; \
-	    sed -i 's#https://cdnjs\..*/mathjax/.*/latest.js#file:///usr/share/javascript/mathjax/unpacked/latest.js#' $${html} ; \
-	done
 
 override_dh_auto_clean:
 	# this would try to run setup.py clean, which is an error: dh_auto_clean
@@ -111,14 +99,14 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
-# Tests are ignored (and expected to crash) on armel, #968210
+# Tests are ignored (and expected to crash) on mips64el, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
+	done ; done ; [ `dpkg --print-architecture` = mips64el ] || $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data
@@ -142,16 +130,6 @@
 	     mv $$lib $$tdir ; \
 	  done ; \
 	done
-	: # Prune scikits/__init__.py to avoid conflicts
-	find debian -wholename \*scikits/__init__.py -delete
-	: # Move scikits. space into a compatibility package
-	set -e; \
-	find debian -wholename \*scikits -type d | while read skd; do \
-		skbd=$$(dirname $$skd); \
-		skbd_=$$(echo $$skbd | sed -e 's/python3-statsmodels/python3-scikits.statsmodels/g'); \
-		mkdir -p $$skbd_; \
-		mv $$skd $$skbd_; \
-	done
 	dh_numpy3
 
 override_dh_fixperms:

## statsmodels 0.13.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -99,14 +99,14 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
-# Tests are ignored (and expected to crash) on mips64el, #968210
+# Tests are ignored (and expected to possibly crash) on armel and mips64el, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; [ `dpkg --print-architecture` = mips64el ] || $${TEST_SUCCESS}
+	done ; done ; [ `dpkg --print-architecture` = mips64el ] || [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: upstreamtests
-Depends: python3-all, python3-statsmodels, python3-nose, python3-pytest,
+Depends: python3-all, python3-statsmodels, python3-pytest,
             python3-matplotlib,
             python3-joblib,
             python3-colorama,

## statsmodels 0.13.2+dfsg

=== requirements.txt ===
numpy>=1.17
scipy>=1.3
pandas>=0.25
patsy>=0.5.2
packaging>=21.3

=== debian/changelog ===
statsmodels (0.13.2+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches.
  * Enable Salsa CI.
  * Warn that ETSModel may give wrong results on 32-bit and xfail test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Feb 2022 20:03:58 +0000

statsmodels (0.13.1+dfsg-5) unstable; urgency=medium

  * Warn on import and ignore (crashing) tests on armel (see #968210).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Feb 2022 19:08:08 +0000

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git

## statsmodels 0.13.5+dfsg

=== requirements.txt ===
# Workaround for scipy build requirement
numpy>=1.22.3; python_version=="3.10" and platform_system=="Windows" and platform_python_implementation != "PyPy"
numpy>=1.17; python_version!="3.10" or platform_system!="Windows" or platform_python_implementation=="PyPy"
# 1.8+ Not available for 3.7
scipy>=1.3,<1.8; python_version=="3.7"
# 1.9+ Not available for 32-bit windows, so use 1.8 for all 3.8 & 3.9 w/ 32-bit Windows
scipy>=1.3,<1.9; python_version=="3.8" and platform_system=="Windows" and platform_machine=="x86"
scipy>=1.3,<1.9; python_version=="3.9" and platform_system=="Windows" and platform_machine=="x86"
scipy>=1.3; (python_version>"3.9" or platform_system!="Windows" or platform_machine!="x86") and python_version<"3.12"
pandas>=0.25
patsy>=0.5.2
packaging>=21.3

=== debian/changelog ===
statsmodels (0.13.5+dfsg-7) unstable; urgency=medium

  * Tests: relax a tolerance to avoid randomly failing on s390x.
  * Docs: fix broken link.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 14 Feb 2023 22:28:59 +0000

statsmodels (0.13.5+dfsg-6) unstable; urgency=medium

  * Tests: ignore a non-convergence on mipsel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 04 Feb 2023 20:49:19 +0000

statsmodels (0.13.5+dfsg-5) unstable; urgency=medium

  * Tests: don't crash on 32-bit systems.  (Closes: #1030208)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 01 Feb 2023 21:31:58 +0000

statsmodels (0.13.5+dfsg-4) unstable; urgency=medium

  * Tests: fix missing import.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 23:51:04 +0000

statsmodels (0.13.5+dfsg-3) unstable; urgency=medium

  * Tests: depend on jinja2, reduce random failures,
    ignore a non-warning on mips*.
  * Don't try to load intersphinx links from python-numpy-doc,
    as it no longer exists.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 19:32:55 +0000

statsmodels (0.13.5+dfsg-2) unstable; urgency=medium

  * Don't try to load intersphinx links from python-matplotlib-doc,
    as it no longer exists.  (Closes: #1027537)
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 05 Jan 2023 20:34:52 +0000

statsmodels (0.13.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop / refresh patches, d/copyright.
  * Update Build-Depends.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Tests: remove xfails that appear to no longer be needed.
  * Tests: loosen tolerance on TestDynamicFactor_ar2_errors as it
    appears to be unstable.  (Closes: #1020060, #1014278)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Nov 2022 21:29:37 +0000

statsmodels (0.13.2+dfsg-4) unstable; urgency=medium

  * Tests: increase one error tolerance.  (Closes: #1014884)
  * Update Lintian override format (see #1007002).
  * Remove no longer needed Lintian / Salsa CI overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 24 Jul 2022 17:51:07 +0100

statsmodels (0.13.2+dfsg-3) unstable; urgency=medium

  * Add s390x to DynamicFactor warning/xfail (workaround for #1014278).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Jul 2022 11:15:30 +0100

statsmodels (0.13.2+dfsg-2) unstable; urgency=medium

  * Tests: ignore a probable rounding issue.  (Closes: #1008301)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Mar 2022 12:20:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
 Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
-               cython3,
+               cython3 (>= 0.29.32~),
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
                python3-cvxopt <!nocheck> <!nodoc>,
                python3-dateutil <!nocheck> <!nodoc>,
+               python3-jinja2 <!nocheck> <!nodoc>,
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
@@ -23,6 +24,8 @@
                python3-pytest-forked <!nocheck>,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
+               python3-setuptools-scm-git-archive,
                python3-tk <!nocheck> <!nodoc>
 Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,
@@ -35,8 +38,8 @@
                      python3-yaml <!nodoc>,
                      jdupes <!nodoc>,
 # for intersphinx inventories
-                     python-matplotlib-doc <!nodoc>,
-                     python-numpy-doc <!nodoc>,
+# no longer exists                     python-matplotlib-doc <!nodoc>,
+# no longer exists                     python-numpy-doc <!nodoc>,
                      python-scipy-doc <!nodoc>,
                      python-pandas-doc <!nodoc>,
                      python3-doc <!nodoc>,
@@ -51,7 +54,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git

=== debian/rules ===
--- 
+++ 
@@ -99,14 +99,14 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
-# Tests are ignored (and expected to possibly crash) on armel and mips64el, #968210
+# Tests are ignored (and expected to possibly crash) on armel, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; [ `dpkg --print-architecture` = mips64el ] || [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
+	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data

## statsmodels 0.14.0+dfsg

=== requirements.txt ===
# Workaround for scipy build requirement
numpy>=1.22.3; python_version=="3.10" and platform_system=="Windows" and platform_python_implementation != "PyPy"
numpy >=1.18  # released December 2019
scipy>=1.4,!=1.9.2  # released December 2019
scipy>=1.4,!=1.9.2; sys_platform == "win32"  # Blacklist 1.9.2 due to Windows issues
pandas>=1.0  # released January 2020
patsy>=0.5.2  # released January 2018
packaging>=21.3  # released Nov 2021

=== debian/changelog ===
statsmodels (0.14.0+dfsg-4) unstable; urgency=medium

  * clean: remove all generated files. (Closes: #1047280)
  * Stop build-depending on python3-setuptools-scm-git-archive.
    (Closes: #1050104)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 19 Aug 2023 21:59:16 +0100

statsmodels (0.14.0+dfsg-3) unstable; urgency=medium

  * Tests: fix bugs in the preceding exclusions.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 04 Aug 2023 18:42:09 +0100

statsmodels (0.14.0+dfsg-2) unstable; urgency=medium

  * Tests: ignore out-of-memory error.
  * Tests: ignore armel's lack of division-by-0 warnings and
    corr_nearest_factor non-convergence, but not all the armel tests.
  * Tests: ignore mips*'s extra multiply-by-NaN warnings.
  * Tests: ignore i386 probable rounding/instability/overflow issues.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 03 Aug 2023 22:28:34 +0100

statsmodels (0.14.0+dfsg-1) experimental; urgency=medium

  * New upstream release.  Drop/refresh patches, d/copyright.
  * Upload to experimental, as of unknown compatibility.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 23 Jul 2023 12:01:09 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                sphinx-common,
                dh-python (>= 3.20180313~),
                cython3 (>= 0.29.32~),
+# tries to build twice (arch/indep), which fails               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
                python3-cvxopt <!nocheck> <!nodoc>,
@@ -24,8 +25,7 @@
                python3-pytest-forked <!nocheck>,
                python3-scipy,
                python3-setuptools,
-               python3-setuptools-scm,
-               python3-setuptools-scm-git-archive,
+               python3-setuptools-scm (>= 7~),
                python3-tk <!nocheck> <!nodoc>
 Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,8 @@
 override_dh_auto_build-arch: $(HOME)
 	dh_auto_build
 
-override_dh_auto_build-indep: $(HOME)
-	: # Documentation depends on built package
-	dh_auto_build
+override_dh_auto_build-indep: $(HOME) override_dh_auto_build-arch
+	: # above dependency is because documentation depends on built package
 	: # I: Generate documentation
 	: # Build Documentation -- assure existence of build/html for nodoc
 	: # Reproducibility: stopping the clock (or slowing it down enough to get all 00:00:00) with faketime (near-)hangs in glm_weights.ipynb
@@ -76,13 +75,14 @@
 	       docs/source/dev/generated \
 	       docs/source/datasets/statsmodels.datasets.*.rst \
 	       docs/source/examples/notebooks/generated \
+	       docs/source/examples/index.rst \
 	       examples/executed \
 	       tools/hash_dict.pickle
 	find . -name __pycache__ -print0 | xargs -0 rm -rf
 	find . -name *.pyx -print0 | sed -e "s/\.pyx/.c/g" | xargs -0 rm -f
 	find . -name *.pyx.in -print0 | sed -e "s/\.pyx\.in/.pyx/g" | xargs -0 rm -f
 	: # Remove autogenerated version.py
-	rm -f statsmodels/version.py
+	rm -f statsmodels/version.py statsmodels/_version.py docs/source/examples/index.rst
 
 override_dh_install:
 	dh_install
@@ -99,14 +99,13 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
-# Tests are ignored (and expected to possibly crash) on armel, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
-	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
+	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do PYTHONPATH=$${testpath}/.. python3 $(CURDIR)/debian/check_truncated_poisson.py ; \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
+	done ; done ; $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data

## statsmodels 0.14.1+dfsg

=== requirements.txt ===
# Workaround for scipy build requirement
numpy>=1.22.3,<2; python_version=="3.10" and platform_system=="Windows" and platform_python_implementation != "PyPy"
numpy >=1.18,<2  # released December 2019
scipy>=1.4,!=1.9.2  # released December 2019
scipy>=1.4,!=1.9.2; sys_platform == "win32"  # Blocked  1.9.2 due to Windows issues
pandas>=1.0,!=2.1.0  # released January 2020, 2.1.0 blocked due to bug
patsy>=0.5.4  # released January 2018
packaging>=21.3  # released Nov 2021

=== debian/changelog ===
statsmodels (0.14.1+dfsg-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:38:22 +0000

statsmodels (0.14.1+dfsg-2) unstable; urgency=medium

  * Tests: ignore DynamicFactorMQ exception on big-endian systems.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Jan 2024 09:38:29 +0000

statsmodels (0.14.1+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop patch no longer needed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 20 Jan 2024 13:41:10 +0000

statsmodels (0.14.0+dfsg-6) unstable; urgency=medium

  * Fix another issue with Cython 3.0.  As one still remains,
    use cython3-legacy (workaround for #1056891).
  * Tests: properly ignore i386 nonconvergence.
  * Docs reproducibility: fix another random seed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 12 Dec 2023 20:07:17 +0000

statsmodels (0.14.0+dfsg-5) unstable; urgency=medium

  * Allow building with Cython 3.0 (Closes: LP: #2043284) and cp 9.2.
  * Docs reproducibility: strip object addresses, fix random seeds.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 11 Nov 2023 20:34:28 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
-               cython3 (>= 0.29.32~),
+               cython3-legacy (>= 0.29.32~),
 # tries to build twice (arch/indep), which fails               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	: # replace timestamps and build paths in examples output for reproducibility
 	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb" -o -name "*.ipynb.txt"` ; do \
 	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
+	    -e 's# at 0x[0-9a-f]\{8,16\}\(&gt;\|>\)# at 0xadde5de1e8ed\1#g' \
 	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
 	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
 	done

## statsmodels 0.14.2+dfsg

=== requirements.txt ===
# Workaround for scipy build requirements
numpy >=1.22.3  # released March 2022
scipy>=1.8,!=1.9.2  # released Feb 2022
pandas>=1.4,!=2.1.0  # released Feb 2022, 2.1.0 blocked due to bug
patsy>=0.5.6  # released December 2023
packaging>=21.3  # released Nov 2021

=== debian/changelog ===
statsmodels (0.14.2+dfsg-2) unstable; urgency=medium

  * Tests: ignore TestZeroInflatedModel_probit.test_fit_regularized
    non-convergence. (Closes: #1079789)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 01 Sep 2024 11:18:24 +0100

statsmodels (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1056891)
  * Refresh patches, d/copyright, dependencies.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Tests: increase i386 TestMixedLM.test_compare_numdiff tolerance,
    remove no longer needed check script.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Apr 2024 20:55:32 +0100

## statsmodels 0.14.3+dfsg

=== debian/changelog ===
statsmodels (0.14.3+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 21 Sep 2024 12:58:14 +0100

## statsmodels 0.14.4+dfsg

=== requirements.txt ===
# Workaround for scipy build requirements
numpy>=1.22.3,<3  # released March 2022
scipy>=1.8,!=1.9.2  # released Feb 2022, 1.9.2 blocked due to bug
pandas>=1.4,!=2.1.0  # released Feb 2022, 2.1.0 blocked due to bug
patsy>=0.5.6  # released December 2023
packaging>=21.3  # released Nov 2021

=== debian/changelog ===
statsmodels (0.14.4+dfsg-1ubuntu1) resolute; urgency=medium

  * Disable build-time tests for first build with Python 3.14

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 24 Oct 2025 13:10:19 +0000

statsmodels (0.14.4+dfsg-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:18:59 +0000

statsmodels (0.14.4+dfsg-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:15:03 +0000

statsmodels (0.14.4+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 20:17:33 +0000

statsmodels (0.14.4+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:54:11 +0100

statsmodels (0.14.4+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 05 Oct 2024 11:43:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: statsmodels
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Diane Trout <diane@ghic.org>,
@@ -9,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
-               cython3-legacy (>= 0.29.32~),
+               cython3 (>= 3.0.10~),
 # tries to build twice (arch/indep), which fails               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
@@ -18,14 +19,17 @@
                python3-jinja2 <!nocheck> <!nodoc>,
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
-               python3-numpy,
-               python3-pandas,
-               python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
+# when we have numpy>=2 + scipy>=1.13, statsmodels will need to be rebuilt, because C extensions built against numpy 2.x work in 1.x but not the reverse - numpy doc/source/dev/depending_on_numpy.rst, statsmodels issue #9194
+               python3-numpy (>= 1:1.22.3~),
+               python3-packaging (>= 21.3~),
+               python3-pandas (>= 1.4~),
+               python3-patsy (>= 0.5.6~) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-forked <!nocheck>,
-               python3-scipy,
+               python3-scipy (>= 1.9.3~),
+# upstream want setuptools >=69.0.2 but we don't have that
                python3-setuptools,
-               python3-setuptools-scm (>= 7~),
+               python3-setuptools-scm (>= 8~),
                python3-tk <!nocheck> <!nodoc>
 Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,
@@ -54,7 +58,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
@@ -94,13 +98,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-numpy,
-# upstream say >1.2 but the amd64 autopkgtest failure happens with 1.4 not 1.5
-# maybe the real problem is what scipy was built with
-         python3-scipy (>= 1.5~),
+         python3-numpy (>= 1:1.22.3~),
+         python3-scipy (>= 1.9.3~),
          python3-statsmodels-lib (>= ${source:Version}),
-         python3-patsy (>= 0.5.1),
-         python3-pandas
+         python3-patsy (>= 0.5.6~),
+         python3-pandas (>= 1.4~)
 Recommends: python3-matplotlib,
             python3-joblib,
             python3-colorama,

=== debian/rules ===
--- 
+++ 
@@ -101,13 +101,13 @@
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
-	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do PYTHONPATH=$${testpath}/.. python3 $(CURDIR)/debian/check_truncated_poisson.py ; \
-	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
-	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; $${TEST_SUCCESS}
-endif
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
+#	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
+#	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
+#	rm -rf $${testpath}/.pytest_cache ; \
+#	done ; done ; $${TEST_SUCCESS}
+#endif
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
